
POSTGRES_PROC_NAME = 'postmaster'

POSTGRES_DEFAULT_BASE_PATH = '/var/lib/pgsql'

PGTURANT_BLESS_FILE   = 'pgturant.bless'
PGTURANT_ACM_FILE     = 'pgturant.acm'
PGTURANT_LOG_FILENAME = 'pgturant.log'

SUPPORTED_DIST = {
  'redhat' : {
               '6' : {
                        'enabled' : True,
                     },
               '7' : {
                        'enabled' : True,
                     }
             },
  'centos' : {
               '6' : {
                        'enabled' : True,
                     },
               '7' : {
                        'enabled' : True,
                     }
             }
}

SUPPORTED_PG_VERSIONS = {
   '9.0' : {
             'paths'     : [ ],
             'packages'  : ['postgresql90', 'postgresql90-server', 'postgresql90-libs', 'postgresql90-contrib'],
             'enabled'   : False
           },
   '9.2' : {
             'paths'     : [ '9.0' ],
             'packages'  : ['postgresql92', 'postgresql92-server', 'postgresql92-libs', 'postgresql92-contrib'],
             'enabled'   : True
           },
   '9.3' : {
             'paths'     : [ '9.0', '9.1', '9.2' ],
             'packages'  : ['postgresql93', 'postgresql93-server', 'postgresql93-libs', 'postgresql93-contrib'],
             'enabled'   : True
           },
}

TTY_ESC_CHARS = {
  'HEADER' : '\033[95m',
  'OKBLUE' : '\033[94m',
  'OKGREEN': '\033[92m',
  'WARNING': '\033[93m',
  'FAIL'   : '\033[91m',
  'INFO'   : '\033[0m',
  'ENDC'   : '\033[0m'
}
